\documentclass [bachelor,english,a4paper,11pt,oneside,webreferences,glossary,indextop,listoflistings,listofalgorithms,acronyms]{INSOthesis}
% change encoding in the document
%\inputencoding{utf8} % default
%\inputencoding{latin1} % for windows

\thesistitle{Programming Language Independent Source Code Evolution Analysis Using Abstract Syntax Trees}
%\thesisshorttitle{Shorttitle of the Thesis}
\thesissubtitle{Frontend: Difference Analysis and Visualisation} % optional
\thesisdate{\today}

% all titles and designations have to be gender-related!
%\thesistype{Diplomarbeit}{Master's Thesis}
%\thesisdegree{Diplom-Ingenieurin}{Diplom-Ingenieurin}
\thesiscurriculum{Business Informatics}{Business Informatics} % your study
\thesisauthor{Manuel Kroiß} % your name
\thesisauthoraddress{Puchsbaumgasse 62/6, 1100 Wien} % your address
\thesismatrikelno{01526926} % your registration number

% advisor
%\thesisauthorpreamble {Verfasser}
%\thesisadvisorpreamble {Betreuung}
%\thesisadvisorone {Thomas Grechenig}
\thesisadvisortwo {Johann Grabner}
%\thesisadvisorthree {Vorname Nachname}

% Bibliographie file
\bibliography{bibliography/references}

\hypersetup{
  %colorlinks=false % enable and disable frames arround links
}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Can be used to add additional informations
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% \AfterTitlePages{}
% \AfterDeclaration{}
% \AfterAcknowledgements{}
% \AfterAbstract{}
% \AfterListOfFigures{}
% \AfterListOfTables{}
% \AfterAbbreviations{}
% \AfterBibliography{}

\renewcommand\afterchapternum{\hspace{1em}}
\begin{document}

\maketitle

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%   CONTENTS    %%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\input{chapters/introduction}
\input{chapters/fundamentals}
\input{chapters/communicationinterface}
\input{chapters/visualizationanddifferenceanalysis}
\input{chapters/bibliographic}
\input{chapters/listings}
\input{chapters/evaluation}
\input{chapters/summary}
\input{chapters/futureresearch}

% insert bibliography and such stuff
\BackMatter

\cleardoublepage
\appendix

\input{chapters/appendix}

\end{document}
